Bug 1650439 - [abrt] gnome-music: _on_artist_activated(): artistsview.py:130:_on_artist_activated:KeyError: '10,000 maniacs'
Summary: [abrt] gnome-music: _on_artist_activated(): artistsview.py:130:_on_artist_act...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-music
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d8970a0133bc4dfdc38389b8780...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 07:52 UTC by Berend De Schouwer
Modified: 2019-11-27 19:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:56:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (709 bytes, text/plain)
2018-11-16 07:52 UTC, Berend De Schouwer
no flags Details
File: cgroup (341 bytes, text/plain)
2018-11-16 07:52 UTC, Berend De Schouwer
no flags Details
File: cpuinfo (1.31 KB, text/plain)
2018-11-16 07:52 UTC, Berend De Schouwer
no flags Details
File: environ (3.99 KB, text/plain)
2018-11-16 07:52 UTC, Berend De Schouwer
no flags Details
File: mountinfo (3.87 KB, text/plain)
2018-11-16 07:52 UTC, Berend De Schouwer
no flags Details
File: namespaces (129 bytes, text/plain)
2018-11-16 07:52 UTC, Berend De Schouwer
no flags Details
File: open_fds (12.20 KB, text/plain)
2018-11-16 07:52 UTC, Berend De Schouwer
no flags Details

Description Berend De Schouwer 2018-11-16 07:52:02 UTC
Description of problem:
selected "artists" in the main bar

Version-Release number of selected component:
gnome-music-3.30.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/bin/gnome-music
crash_function: _on_artist_activated
exception_type: KeyError
executable:     /usr/bin/gnome-music
interpreter:    python3-3.7.1-2.fc29.x86_64
kernel:         4.18.17-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
artistsview.py:130:_on_artist_activated:KeyError: '10,000 maniacs'

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/gnomemusic/views/artistsview.py", line 130, in _on_artist_activated
    self._artists[artist.casefold()]['widget'] = artist_albums
KeyError: '10,000 maniacs'

Local variables in innermost frame:
self: <ArtistsView>
sidebar: <Gtk.ListBox object at 0x7f0377a32ca8 (GtkListBox at 0x7f038802e790)>
row: <SidebarRow>
data: None
artist: '10,000 Maniacs'
albums: [<Grl.Media object at 0x7f03746daaf8 (GrlMedia at 0x55be3a3b7950)>]
widget: None
new_artist_albums_widget: <Gtk.Frame object at 0x7f03746dacf0 (GtkFrame at 0x55be3899c6d0)>
artist_albums: <ArtistAlbumsWidget>

Comment 1 Berend De Schouwer 2018-11-16 07:52:08 UTC
Created attachment 1506334 [details]
File: backtrace

Comment 2 Berend De Schouwer 2018-11-16 07:52:10 UTC
Created attachment 1506335 [details]
File: cgroup

Comment 3 Berend De Schouwer 2018-11-16 07:52:12 UTC
Created attachment 1506336 [details]
File: cpuinfo

Comment 4 Berend De Schouwer 2018-11-16 07:52:14 UTC
Created attachment 1506337 [details]
File: environ

Comment 5 Berend De Schouwer 2018-11-16 07:52:16 UTC
Created attachment 1506338 [details]
File: mountinfo

Comment 6 Berend De Schouwer 2018-11-16 07:52:18 UTC
Created attachment 1506339 [details]
File: namespaces

Comment 7 Berend De Schouwer 2018-11-16 07:52:21 UTC
Created attachment 1506340 [details]
File: open_fds

Comment 8 Ben Cotton 2019-10-31 20:29:56 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-11-27 19:56:20 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.